{{ partialCached "utils/css.html" (dict "context" . "filefolder" "objects" "filename" "page-link") "page-link" }}
<li class="page-link flex items-center py-1 enlarge-link">
	{{- with .Page }}
		<span class="flex-min pl-1 pr-1 select-none" aria-hidden="true">{{ with .Params.Icon }}{{ . }}{{ else }}<span class="block text-center text-gray-400">•</span>{{ end }}</span>
    {{- template "page-link" (dict "value" . "title" .Title "url" .RelPermalink) -}}
	{{- else }}
		{{/* isMenuRapid */}}
    <span class="flex-min pl-1 pr-1 select-none" aria-hidden="true"><span class="block text-center text-gray-400">•</span></span>
    {{- template "page-link" (dict "value" . "title" .title "url" (printf "%s%s" "/pages" .target)) -}}
	{{- end }}
</li>

{{- define "page-link" -}}
  <a href="{{ .url }}">{{ .title }}</a>
  <span class="flex-min" aria-hidden="true"><svg class="flex items-center text-gray-400"><use xlink:href="#chevron-right"/></svg></span>
{{- end -}}
